!set title=The Hospital: Verbs True/False
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Csilla Ducrocq
email=csilla.ducrocq@u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=103
prevarcnt=102
postvarcnt=0
replycnt=20
choicecnt=0
conditioncnt=0
feedbackcnt=20
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=the_hospital_verbs_true_false
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Memory game: First look at the picture, then decide from <b>memory</b> which sentences are True, which are False.

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=
val12=no
val13=no
val14=the_hospital.gif
val15=no
val16=yes
val17=
val18=split
val19=1
val20=aucune de ces possibilités
val21=clickfill
val22=
val23=
val24=
val25=
val26=
val27=background-color: #FFFFCC;	margin: 2% 2%;	padding: 1%;
val28=background-color: #FFCC99;	color: black;	margin: 2% 2%;	padding: 0%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=inside
val33=yes
val34=1
val35=
val36=
val37=
val38=---
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val39=$(tmp0)
tmp0=!recordcnt $val39

val40=$[rint($(tmp0))]
val41=1
val42=$val40
val43=3

!ifval $val21 iswordof case 
val44= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val45=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val46= noreaccent
!else
val46=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val47= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val39

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val39

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val39

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val39

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val48=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val39

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val49= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val39

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val50= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val39

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val51= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val39

val52= $(tmp0)
!else
val52=$val10
!endif
val53=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val42=$[rint(min($val40,$val42))]
val41=$[rint(min($val42*$val41,$val40))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val40

val54= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val40

val54=	$(tmp1)
!endif
tmp=!trim 
val55=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val56=!translate internal $	\
$ to ;; in $tmp
val57=
val58=
!for val59  = 1 to $val41 
tmp0=!record $(val54[$val59]) of $val6

val60=$(tmp0)
tmp0=!embraced randitem $val60

val60=$(tmp0)
val61=$val60
tmp=!translate internal $	$ to ; in $val61

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val61=$(tmp0)
tmp0=!getopt audio in $val61

val62=$(tmp0)
tmp0=!getopt image in $val61

val63=$(tmp0)
tmp0=!getopt title in $val61

val64=$(tmp0)
tmp0=!getopt intro in $val61

val65=$(tmp0)

!ifval $val62$val63$val64$val65  notsametext 
val66=$[rint( 1 )]
!else
val66=$[rint( 0)]
!endif
val67=

!ifval $val64 notsametext 
val67=$val67<p align="center">$val64</p>
!endif

!ifval $val65 notsametext 
val67=$val67 $val65
!endif

!ifval $val63 notsametext 
val67= $val67 <p align="center"><img src=$val1/$val63></p>
!endif
!if $val62 notsametext  

!ifval . isin $val62 or $val37= 
!readproc slib/media/audio $val1/$val62,player=$val38 
tmp0=$slib_out
val68= 	       $(tmp0)
!else
!readproc slib/lang/swac $val62,$val37,player=$val38 
tmp1=$slib_out
val68=$(tmp1)
!endif
val67=$val67 <p align="center">$(val68[1;1])</p>
!endif

!ifval $val66=1  
val69= $val67
!else
val69=&nbsp;
!endif

!ifval $val66=1 
tmp0=!line 2 to -1 of $val60

val60= $(tmp0)
!endif
tmp=!trim $val58	  $val69
val58=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val60

tmp0=!rowcnt $tmp
val70=$[rint($(tmp0)-1)]
val70=$[rint(($val70-1)/2)]
tmp0=!randint 1, $val70

val71=$(tmp0)
tmp=!trim $val55	  $(val60[2*$val71;])
val55=!translate internal $	\
$ to ;; in $tmp

!ifval $val59 = 1 
val56= $(val60[1;]) 
!else
val56= $val56;$(val60[1;])
!endif
tmp0=!positionof item $(val60[2*$val71+1;]) in $val52

val57=$val57, $(tmp0)
!next
tmp0=!nonempty items $val57

val57=$(tmp0)
tmp0=!makelist r x for x = 1 to $val41

val72=$(tmp0)
t_=!replace internal \( by ( in divrem($val41,$val42)~
tmp0=!exec pari $t_

val73=$(tmp0)

!ifval $(val73[2]) !=0 
val74=$[rint( $(val73[1]) + 1)]
!else
val74=$[rint($(val73[1]))]
!endif
tmp=!trim 
val75=!translate internal $	\
$ to ;; in $tmp
!for val76  = 1 to $val74 -1 
tmp0=!makelist r x for x = $val42*$val76 -$val42+1 to $val42*$val76

tmp=!trim $val75	$(tmp0)	   
val75=!translate internal $	\
$ to ;; in $tmp
!next
tmp0=!makelist r x  for x = $val42*$val74-$val42+1 to $val41

tmp=!trim $val75	 $(tmp0)	
val75=!translate internal $	\
$ to ;; in $tmp
val53=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 </style>	 
oefsteps=$val75 
nextstep=!nosubst $val75 
!readproc oef/steps.proc
replytype1=radio
replyname1=1
replygood1=$(val57[1]);$val52
replytype2=radio
replyname2=2
replygood2=$(val57[2]);$val52
replytype3=radio
replyname3=3
replygood3=$(val57[3]);$val52
replytype4=radio
replyname4=4
replygood4=$(val57[4]);$val52
replytype5=radio
replyname5=5
replygood5=$(val57[5]);$val52
replytype6=radio
replyname6=6
replygood6=$(val57[6]);$val52
replytype7=radio
replyname7=7
replygood7=$(val57[7]);$val52
replytype8=radio
replyname8=8
replygood8=$(val57[8]);$val52
replytype9=radio
replyname9=9
replygood9=$(val57[9]);$val52
replytype10=radio
replyname10=10
replygood10=$(val57[10]);$val52
replytype11=radio
replyname11=11
replygood11=$(val57[11]);$val52
replytype12=radio
replyname12=12
replygood12=$(val57[12]);$val52
replytype13=radio
replyname13=13
replygood13=$(val57[13]);$val52
replytype14=radio
replyname14=14
replygood14=$(val57[14]);$val52
replytype15=radio
replyname15=15
replygood15=$(val57[15]);$val52
replytype16=radio
replyname16=16
replygood16=$(val57[16]);$val52
replytype17=radio
replyname17=17
replygood17=$(val57[17]);$val52
replytype18=radio
replyname18=18
replygood18=$(val57[18]);$val52
replytype19=radio
replyname19=19
replygood19=$(val57[19]);$val52
replytype20=radio
replyname20=20
replygood20=$(val57[20]);$val52
question=__EXECUTED_1692754_EXERCISE__
help=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val47$val53	$val8  
!if $val48 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	 
!if $val50 notsametext  
$() 
!read oef/special.phtml help image,picture 
$() 
!endif
$()	$val49$val51	<ol>	 
!for m_l = 1 to $val42*($m_step-1) 
$()	<li>	  $(val58[$m_l;]) $(val55[$m_l;])	 </li>	  
!next
$()	 </ol>	   
!for m_t = 1 to $val42 
$()	  $(val58[$val42*($m_step-1) + $m_t;])	   <div class="question">	   $(val55[$val42*($m_step-1) + $m_t;])	     
!read oef/embed.phtml $(val75[$m_step;$m_t])  
$()	    </div>	    
!next
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()$val47 
!if $m_help_subject issametext reading or	$m_help_subject issametext image	or  $m_help_subject issametext  
$()	$val48		$val50 
!endif
$()	
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback
!ifval 1 <= $val41 and $val42*$m_step >=1 and ($(val52[$(val57[1])]) issametext $(val52[2]) or $(val52[$(val57[1])]) notsametext $m_reply1)	  and $(val56[1;]) notsametext 
 <p>	<div class="reponse">1 : $(val56[1;])</div>
$()
!endif
!ifval 2 <= $val41 and $val42*$m_step >=2 and ($(val52[$(val57[2])]) issametext $(val52[2]) or $(val52[$(val57[2])]) notsametext $m_reply2)	  and $(val56[2;]) notsametext 
 <p>	<div class="reponse">2 : $(val56[2;])</div>
$()
!endif
!ifval 3 <= $val41 and $val42*$m_step >=3 and ($(val52[$(val57[3])]) issametext $(val52[2]) or $(val52[$(val57[3])]) notsametext $m_reply3)	  and $(val56[3;]) notsametext 
 <p>	<div class="reponse">3 : $(val56[3;])</div>
$()
!endif
!ifval 4 <= $val41 and $val42*$m_step >=4 and ($(val52[$(val57[4])]) issametext $(val52[2]) or $(val52[$(val57[4])]) notsametext $m_reply4)	  and $(val56[4;]) notsametext 
 <p>	<div class="reponse">4 : $(val56[4;])</div>
$()
!endif
!ifval 5 <= $val41 and $val42*$m_step >=5 and ($(val52[$(val57[5])]) issametext $(val52[2]) or $(val52[$(val57[5])]) notsametext $m_reply5)	  and $(val56[5;]) notsametext 
 <p>	<div class="reponse">5 : $(val56[5;])</div>
$()
!endif
!ifval 6 <= $val41 and $val42*$m_step >=6 and ($(val52[$(val57[6])]) issametext $(val52[2]) or $(val52[$(val57[6])]) notsametext $m_reply6)	  and $(val56[6;]) notsametext 
 <p>	<div class="reponse">6 : $(val56[6;])</div>
$()
!endif
!ifval 7 <= $val41 and $val42*$m_step >=7 and ($(val52[$(val57[7])]) issametext $(val52[2]) or $(val52[$(val57[7])]) notsametext $m_reply7)	  and $(val56[7;]) notsametext 
 <p>	<div class="reponse">7 : $(val56[7;])</div>
$()
!endif
!ifval 8 <= $val41 and $val42*$m_step >=8 and ($(val52[$(val57[8])]) issametext $(val52[2]) or $(val52[$(val57[8])]) notsametext $m_reply8)	  and $(val56[8;]) notsametext 
 <p>	<div class="reponse">8 : $(val56[8;])</div>
$()
!endif
!ifval 9 <= $val41 and $val42*$m_step >=9 and ($(val52[$(val57[9])]) issametext $(val52[2]) or $(val52[$(val57[9])]) notsametext $m_reply9)	  and $(val56[9;]) notsametext 
 <p>	<div class="reponse">9 : $(val56[9;])</div>
$()
!endif
!ifval 10 <= $val41 and $val42*$m_step >=10 and ($(val52[$(val57[10])]) issametext $(val52[2]) or $(val52[$(val57[10])]) notsametext $m_reply10)	  and $(val56[10;]) notsametext 
 <p>	<div class="reponse">10 : $(val56[10;])</div>
$()
!endif
!ifval 11 <= $val41 and $val42*$m_step >=11 and ($(val52[$(val57[11])]) issametext $(val52[2]) or $(val52[$(val57[11])]) notsametext $m_reply11)	  and $(val56[11;]) notsametext 
 <p>	<div class="reponse">11 : $(val56[11;])</div>
$()
!endif
!ifval 12 <= $val41 and $val42*$m_step >=12 and ($(val52[$(val57[12])]) issametext $(val52[2]) or $(val52[$(val57[12])]) notsametext $m_reply12)	  and $(val56[12;]) notsametext 
 <p>	<div class="reponse">12 : $(val56[12;])</div>
$()
!endif
!ifval 13 <= $val41 and $val42*$m_step >=13 and ($(val52[$(val57[13])]) issametext $(val52[2]) or $(val52[$(val57[13])]) notsametext $m_reply13)	  and $(val56[13;]) notsametext 
 <p>	<div class="reponse">13 : $(val56[13;])</div>
$()
!endif
!ifval 14 <= $val41 and $val42*$m_step >=14 and ($(val52[$(val57[14])]) issametext $(val52[2]) or $(val52[$(val57[14])]) notsametext $m_reply14)	  and $(val56[14;]) notsametext 
 <p>	<div class="reponse">14 : $(val56[14;])</div>
$()
!endif
!ifval 15 <= $val41 and $val42*$m_step >=15 and ($(val52[$(val57[15])]) issametext $(val52[2]) or $(val52[$(val57[15])]) notsametext $m_reply15)	  and $(val56[15;]) notsametext 
 <p>	<div class="reponse">15 : $(val56[15;])</div>
$()
!endif
!ifval 16 <= $val41 and $val42*$m_step >=16 and ($(val52[$(val57[16])]) issametext $(val52[2]) or $(val52[$(val57[16])]) notsametext $m_reply16)	  and $(val56[16;]) notsametext 
 <p>	<div class="reponse">16 : $(val56[16;])</div>
$()
!endif
!ifval 17 <= $val41 and $val42*$m_step >=17 and ($(val52[$(val57[17])]) issametext $(val52[2]) or $(val52[$(val57[17])]) notsametext $m_reply17)	  and $(val56[17;]) notsametext 
 <p>	<div class="reponse">17 : $(val56[17;])</div>
$()
!endif
!ifval 18 <= $val41 and $val42*$m_step >=18 and ($(val52[$(val57[18])]) issametext $(val52[2]) or $(val52[$(val57[18])]) notsametext $m_reply18)	  and $(val56[18;]) notsametext 
 <p>	<div class="reponse">18 : $(val56[18;])</div>
$()
!endif
!ifval 19 <= $val41 and $val42*$m_step >=19 and ($(val52[$(val57[19])]) issametext $(val52[2]) or $(val52[$(val57[19])]) notsametext $m_reply19)	  and $(val56[19;]) notsametext 
 <p>	<div class="reponse">19 : $(val56[19;])</div>
$()
!endif
!ifval 20 <= $val41 and $val42*$m_step >=20 and ($(val52[$(val57[20])]) issametext $(val52[2]) or $(val52[$(val57[20])]) notsametext $m_reply20)	  and $(val56[20;]) notsametext 
 <p>	<div class="reponse">20 : $(val56[20;])</div>
$()
!endif

!exit

:test

!exit

:stat
vsavelist=8,41,42,47,48,49,50,51,52,53,55,56,57,58,75
embedcnt=3
